CAD Automation

Get Dimension Values from Drawing Sheet | NX Open Programming With VB .NET

This journal get’s the name material used in part. Imports SystemImports NXOpenModule NXJournalSub Main (ByVal args() As String)Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()Dim workPart As NXOpen.Part = theSession.Parts.WorkDim pm As NXOpen.PhysicalMaterial()pm = workPart.MaterialManager.PhysicalMaterials.GetUsedMaterialsIf pm.Length = 0 ThenMsgBox(“Material not assigned”)Else MsgBox(“Physical Material ” & pm(0).name)End IfEnd SubEnd Module API Information: PhysicalMaterial Class should be used to […]

Get Dimension Values from Drawing Sheet | NX Open Programming With VB .NET Read More »

Get Material Used in Part | Get Material Name | NX Open Programming

This journal get’s the name material used in part. Imports SystemImports NXOpenModule NXJournalSub Main (ByVal args() As String)Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()Dim workPart As NXOpen.Part = theSession.Parts.WorkDim pm As NXOpen.PhysicalMaterial()pm = workPart.MaterialManager.PhysicalMaterials.GetUsedMaterialsIf pm.Length = 0 ThenMsgBox(“Material not assigned”)Else MsgBox(“Physical Material ” & pm(0).name)End IfEnd SubEnd Module API Information: PhysicalMaterial Class should be used to

Get Material Used in Part | Get Material Name | NX Open Programming Read More »

CAD Customization and CAD Automation: What is the difference?

The use of computer-aided design (CAD) software has become an essential tool in engineering and manufacturing. There is no industry today that produces drawings or models without CAD software. CAD enables designers and engineers to create precise and accurate designs. However, with the increasing complexity, design iterations and scale of projects, effective use of CAD

CAD Customization and CAD Automation: What is the difference? Read More »

Get count of all types of attributes from a part | Get total count | NX Open | CountAttributes

An attribute is a persistant way to store non-geometric data (i.e. not a point or curve or solid or feature). Attributes can be referenced in expressions and (in drafting) in notes/labels/other drafting text (including parts lists, etc.)   The journal below returns the number of attributes of any type present in work part. Imports SystemImports

Get count of all types of attributes from a part | Get total count | NX Open | CountAttributes Read More »

Get user attribute information of a part | Get title and its value | NX Open Automation | AttributeInformation

An attribute is a persistant way to store non-geometric data (i.e. not a point or curve or solid or feature). Attributes can be referenced in expressions and (in drafting) in notes/labels/other drafting text (including parts lists, etc.)   The journal cycle through the work part and display all user attributes in a listing window. Imports

Get user attribute information of a part | Get title and its value | NX Open Automation | AttributeInformation Read More »

Create diameter dimension to all circle edges in Drawing View Using NX Open APIs | CAD Automation | ufs.Drf.CreateDiameterDim

Design Engineers always spend more time on drawings for several reasons. A few of them are; Drawings are prime source of information Quality of drawing needs to be accurate Every design iteration has small or big impact on drawings Design Engineers always look for simplifying drawings, not to specifiy duplicate details in it. and lot

Create diameter dimension to all circle edges in Drawing View Using NX Open APIs | CAD Automation | ufs.Drf.CreateDiameterDim Read More »

Create Blank Part With Drawing Sheet Using NX Open APIs | CAD Automation | C Sharp

It is quite possible to create a blank part and drawing sheet with one click of a button. Yes, you are right, this can be done with the journal. This journal below is written in C sharp programming language. Exactly how you either select a pre-defined template or custom apply a few settings on top

Create Blank Part With Drawing Sheet Using NX Open APIs | CAD Automation | C Sharp Read More »

Create new blank prt file with or without template | Using Nx Open Programming using C Sharp

NX Open is a powerful tool for automating NX CAD tasks. Below is source code that creates a new blank prt file with some predefined options. (first code block is in C sharp, and the other one is written in Visual Basic .Net) Code in C Sharp using System; using NXOpen; public class create_new_blank_part {

Create new blank prt file with or without template | Using Nx Open Programming using C Sharp Read More »

Find Hole dimensions and Extract its values | Fetch useful information | Using NX Open / UFUNC / CycleObjsInPart

As engineers and designers, we often have to work with complex 3D models and drawings, and extracting important information from these can be a time-consuming and challenging task. One of the critical pieces of information we may need to extract from a drawing sheet is the dimensions of the holes present in the model. This

Find Hole dimensions and Extract its values | Fetch useful information | Using NX Open / UFUNC / CycleObjsInPart Read More »